Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Class FollowUpStatusEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.domino.FollowUpStatusEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class FollowUpStatusEnum
extends CollabEnum
implements java.io.Serializable

An enumeration of the memo follow up statuses. The enumeration class that contains `FollowUpStatus` elements.

See Also:
  Serialized Form

Field Summary
`static FollowUpStatus` | `LOW` The low follow up status.
`static FollowUpStatus` | `NO_STATUS` The no status follow up status.
`static FollowUpStatus` | `NORMAL` The normal follow up status.
`static int` | `NUM_ELEMENTS`
`static FollowUpStatus` | `URGENT` The urgent follow up status.
`static int` | `VALUE_LOW`
`static int` | `VALUE_NO_STATUS`
`static int` | `VALUE_NORMAL`
`static int` | `VALUE_URGENT`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `FollowUpStatusEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `FollowUpStatusEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_NO_STATUS

    public static final int VALUE_NO_STATUS

### VALUE_URGENT

    public static final int VALUE_URGENT

### VALUE_NORMAL

    public static final int VALUE_NORMAL

### VALUE_LOW

    public static final int VALUE_LOW

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### NO_STATUS

    public static final FollowUpStatus NO_STATUS

  The no status follow up status.

### URGENT

    public static final FollowUpStatus URGENT

  The urgent follow up status.

### NORMAL

    public static final FollowUpStatus NORMAL

  The normal follow up status.

### LOW

    public static final FollowUpStatus LOW

  The low follow up status.

Constructor Detail

### FollowUpStatusEnum

    protected FollowUpStatusEnum(java.lang.Class elementClass,
                                 int iNumElements,
                                 com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                 EnumElement defaultElement,
                                 java.lang.String sInternalName,
                                 boolean bMaskable)

  Constructor.

### FollowUpStatusEnum

    protected FollowUpStatusEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.